<?php
ini_set("memory_limit","30000M");
set_time_limit(0);
include('../../../configuracion.php');

$filtro = "";


$matriz = array();
$cabeceras = array(
    "A" => "KEY",
    "B" => "CODIGO",
    "C" => "ORDEN",
    "D" => "NOMBRE",
    "E" => "CATEGORIA",
    "F" => "MARCA",
    "G" => "PRECIO",
    "H" => "PRECIO OFERTA",
    "I" => "STOCK",
    "J" => "PESO",
    "K" => "DESTACADO",
    "L" => "EN OFERTA",
    "M" => "TOP VENTA",
    "N" => "NUEVO",
    "O" => "POR VENIR",
    "P" =>"ESTADO"
    );


header('Content-Type: application/octet-stream;charset=UTF-8"');
header('Content-Length: ' . filesize($data));
header("Content-disposition: attachment; filename=\"productos.csv\"");
//preparar el wrapper de salida
$fp = fopen('php://output', 'w');
        

//$fp = fopen('archivonuevo.csv', 'w');
fputcsv($fp, $cabeceras, ";");

$total_reg = $db->getVar("productos","COUNT(id)","id!='0' ".$filtro." ");



 

$i=0;
$sumatoria = 1000;

//echo $total_reg."<br>";


while($i<$total_reg){



  
$limite = $i.",".$sumatoria;

//echo $limite."***LIMITE*****<br>";
//$resultados = $db->get_results("Select * FROM socios WHERE id!='0' ".$filtro." order by id asc","ARRAY_N");

$resultados = $db->results("productos","*","id!='0' ".$filtro." ","id asc",$limite);

foreach($resultados as $dato){

$i++;

$marca = $db->getvar("marcas","nombre","id='{$dato->marca}'");
$categoria = $db->getvar("categorias","nombre","id='{$dato->categoria}'");

$marca = utf8_decode(funcion::limpiaexcel($marca));
$categoria = utf8_decode(funcion::limpiaexcel($categoria));
$nombre = str_replace("&#39;","'",utf8_decode($dato->nombre));

$v = array($dato->id,$dato->codigo,$dato->orden,$nombre,$categoria,$marca,$dato->precio,$dato->precio_oferta,$dato->stock,$dato->peso,$dato->destacado,$dato->promocion,$dato->top,$dato->nuevo,$dato->pronto,$dato->estado);

fputcsv($fp, $v, ";");

//echo $i."<br>";

if($i==$total_reg){ break;}



}
$sumatoria += $i;

}
fclose($fp);
exit;